/***********************************************************
  文件名：28_Magnetic_force_sensor.ino
  描述：实现全极霍尔磁性传感器控制 LED 的亮与灭。
  作者：陈志强
  日期：2022.11.3
***********************************************************/
int force_sensorPin = 5;//设置霍尔磁力传感器接D5引脚
int led = 6;//设置led灯接D6引脚
boolean  value= 0;//设置布尔变量
void setup() {

  Serial.begin(9600);//设置串口波特率
  pinMode(force_sensorPin, INPUT);//设置D5引脚为输入模式
  pinMode(led, OUTPUT);//设置led为输出模式
}

void loop() {
    value = digitalRead(force_sensorPin);//读取磁力传感器状态值赋给变量value
  if (value == 0) {
    Serial.println(String("开灯状态：") + String(value));//串口打印状态值
    digitalWrite(led,HIGH);//亮灯

  } else {
    Serial.println(String("关灯状态：") + String(value));//串口打印状态值
    digitalWrite(led,LOW);//关灯

  }
}
